Description

While writing the paper I recognised that we really should clean up the various output formats of the cscripts. I think it would be good

to support FITS files as much as we can. Upper limits can certainly also be handled using the model XML file. Maybe the general

discussion about IACT data formats can also help to better understand what we need. Michael summarized the status of the actual

output file formats below.

Here a list of the cscripts and their output formats:

csspec: FITS table

cslightcrv: FITS table

csfindobs: ASCII file (compatible with what is used with current IACTs)

csiactobs: XML file

csresmap: FITS sky map

cstsmapmerge: FITS sky map

cspull: CSV ascii table

cssens: CSV ascii table

cstsdist: CSV ascii table

And here a list of the ctools:

ctbin: FITS sky map

ctbkgcube: FITS sky map and model XML file

ctexpcube: FITS sky map

ctpsfcube: FITS sky map

ctcubemask: FITS sky map

ctselect: FITS files

ctskymap: FITS sky map

ctlike: model XML file

cttsmap: FITS sky map

ctmodel: FITS sky map

ctulimit: None

cterror: Model XML file (without asymmetric errors #1700).

ctbutterfly: CSV ascii table

Highlighted in bold face are those tools that don't support FITS or XML output. Note that if we changed this format, we need to adapt

the example plotting scripts as well.

History

#1 - 06/21/2016 09:45 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#2 - 03/03/2017 10:49 AM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/07/2017 05:50 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0
#4 - 08/01/2017 09:56 AM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

#5 - 01/23/2018 04:42 PM - Knödlseder Jürgen

- Priority changed from High to Normal

- Target version deleted (1.5.0)

#6 - 05/07/2021 11:09 PM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version set to 2.0.0

This should be definitely fixed for version 2.0.0

#7 - 05/10/2021 04:21 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

I implemented FITS output for cssens.py and modified show_sensitivity.py so that it digests both the new FITS and the old CSV files.

#8 - 05/12/2021 10:49 PM - Knödlseder Jürgen

I replaced the ASCII output of ctbutterfly by a FITS file. The  ctbutterfly::butterfly() method now returns a GFits object instead of a GCsv object. The

show_butterfly.py script was adapted so that it accepts both a CSV or a FITS file on input. This allows for backwards compatibility of the script with

already existing butterfly CSV files.

#9 - 05/19/2021 03:38 PM - Knödlseder Jürgen

- % Done changed from 10 to 50

I replaced the ASCII output of cspull by a FITS file.

Methods cspull::save() and cspull::pull_distribution() were added to implement saving of the FITS file and recovery of the FITS object.

The show_pull_histogram.py and show_pull_evolution.py scripts were adapted so that both scripts can deal with the old ASCII format and the new

FITS file format. This allows for backwards compatibility of the script with already existing butterfly CSV files.

#10 - 05/19/2021 05:30 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 50 to 90

I replaced the ASCII output of cstsdist by a FITS file.

Methods cstsdist::save() and cstsdist::ts_distribution() were added to implement saving of the FITS file and recovery of the FITS object.

The show_ts_distribution.py  script was adapted so that both scripts can deal with the old ASCII format and the new FITS file format. This allows for

backwards compatibility of the script with already existing butterfly CSV files.
#11 - 05/20/2021 07:46 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

I needed to adjust the science-verification.py script to the new FITS output of cspull. I merged the changes into devel.

Powered by TCPDF (www.tcpdf.org)

04/27/2024 3/3

http://www.tcpdf.org

